Ubuntu

unity-2d-shell crashed with SIGSEGV in QDBusAbstractInterface::asyncCallWithArgumentList()

Reported by Chris Eineke on 2012-04-18
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
unity-2d (Ubuntu)
Undecided
Unassigned

Bug Description

...

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: unity-2d-shell 5.10.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu4
Architecture: amd64
Date: Tue Apr 17 23:09:10 2012
ExecutablePath: /usr/bin/unity-2d-shell
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
ProcCmdline: unity-2d-shell
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, user)
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7f7bdbcbb4dd <_ZN22QDBusAbstractInterface25asyncCallWithArgumentListERK7QStringRK5QListI8QVariantE+45>: cmpb $0x0,0xd4(%rbp)
 PC (0x7f7bdbcbb4dd) ok
 source "$0x0" ok
 destination "0xd4(%rbp)" (0x000000d4) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: unity-2d
StacktraceTop:
 QDBusAbstractInterface::asyncCallWithArgumentList(QString const&, QList<QVariant> const&) () from /usr/lib/x86_64-linux-gnu/libQtDBus.so.4
 BamfView::icon() const () from /usr/lib/libQtBamf.so.1
 WindowInfo::icon() const () from /usr/lib/libunity-2d-private.so.0
 WindowInfo::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libunity-2d-private.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libQtDeclarative.so.4
Title: unity-2d-shell crashed with SIGSEGV in QDBusAbstractInterface::asyncCallWithArgumentList()
UpgradeStatus: Upgraded to precise on 2012-04-17 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers
XsessionErrors:
 (gnome-settings-daemon:2515): color-plugin-WARNING **: failed to get edid: unable to get EDID for output
 (gnome-settings-daemon:2515): color-plugin-WARNING **: unable to get EDID for xrandr-LVDS: unable to get EDID for output
 (gnome-settings-daemon:2515): color-plugin-WARNING **: unable to get EDID for xrandr-LVDS: unable to get EDID for output
 (gnome-settings-daemon:2515): color-plugin-WARNING **: unable to get EDID for xrandr-LVDS: unable to get EDID for output
 gnome-session[2451]: WARNING: Application 'unity-2d-shell.desktop' killed by signal

Chris Eineke (chris.eineke) wrote :

Thank you for taking the time to report this crash and helping to make this software better. This particular crash has already been reported and is a duplicate of bug #984213, so is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

visibility: private → public
visibility: private → public
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers